h53578
s 00001/00001/00064
d D 1.6 83/03/06 20:37:36 mjb 6 5
c 
e
s 00001/00001/00064
d D 1.5 83/03/04 14:16:21 mjb 5 4
c 
e
s 00001/00001/00064
d D 1.4 83/03/02 23:01:28 mjb 4 3
c 
e
s 00003/00002/00062
d D 1.3 83/03/02 18:37:06 mjb 3 2
c put in tty's calls
e
s 00001/00001/00063
d D 1.2 83/02/02 12:02:10 tes 2 1
c Modified so text is index 1
e
s 00064/00000/00000
d D 1.1 83/01/20 11:13:49 tes 1 0
c date and time created 83/01/20 11:13:49 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine prmnw8
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Prompt the user for a RETURN and do a graphic clear    #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer prompt(27)
D 3
integer i, contrl(6), intin(1), ptsin(2), intout(1), ptsout(1)
E 3
I 3
D 4
SHORINT i
E 4
I 4
SHORTINT i
E 4
integer contrl(6), intin(1), ptsin(2), intout(1), ptsout(1)
E 3

#            Press <RETURN> to continue
data prompt /BIGP,LETR,LETE,LETS,LETS,BLANK,
	     LESS,BIGR,BIGE,BIGT,BIGU,BIGR,BIGN,GREATER,BLANK,
	     LETT,LETO,BLANK,
	     LETC,LETO,LETN,LETT,LETI,LETN,LETU,LETE,NUL/

# flush "plot" buffer
call imove (1, 0.0,0.0)

# set character size
contrl(1) = 12
contrl(2) = 1
ptsin(1) = 0
ptsin(2) = 410
call gzddop (contrl, intin, ptsin, intout, ptsout)

# set text color
contrl(1) = 22
contrl(2) = 0
D 2
intin(1) = 7
E 2
I 2
intin(1) = 1
E 2
call gzddop (contrl, intin, ptsin, intout, ptsout)

# output the prompt message
contrl(1) = 8
contrl(2) = 1
contrl(4) = 26
ptsin(1) = 200   # Position to the lower left hand corner
ptsin(2) = 200
call gzddop (contrl, prompt, ptsin, intout, ptsout)

# wait for the response from the prompt
D 3
call gdevin (i)
E 3
I 3
D 5
ifdef(`UNIX',`call gdevin (i)',`call ttyin (i)')
E 5
I 5
D 6
call gtty (i)
E 6
I 6
call ttyin (i)
E 6
E 5
E 3

# Clear the graphics from the screen
call gpclr

return
end
E 1
